/*
 * COPYRIGHT (c) 2018 All rights reserved by HANWHA LIFE.
 */
package kr.co.zumo.app.lifeplus.supervisor;

import android.support.annotation.IdRes;
import android.support.v7.app.AppCompatActivity;

import kr.co.zumo.app.lifeplus.activity.ActivityBase;

/**
 * 화면 전환에 필요한 데이터를 관리
 * <pre>
 * @see ActivityBase 에서 값이 설정된다.
 * </pre>
 *
 * @author 민효동
 * @version 1.0
 * @history 민효동   [2018. 9. 5.]   [최초 작성]
 * @since 2018. 9. 5.
 */
public class ScreenChangerHelper {
  private static final ScreenChangerHelper ourInstance = new ScreenChangerHelper();

  public static ScreenChangerHelper getInstance() {
    return ourInstance;
  }

  private ScreenChangerHelper() {
  }

  private AppCompatActivity appCompatActivity;
  @IdRes
  private int containerId;

  public int getContainerId() {
    return containerId;
  }

  public void setContainerId(int containerId) {
    this.containerId = containerId;
  }

  public AppCompatActivity getAppCompatActivity() {
    return appCompatActivity;
  }

  public void setAppCompatActivity(AppCompatActivity activity) {
    this.appCompatActivity = activity;
  }
}
